Package com.complexible.stardog.security

# Class SecurityOptions

java.lang.Object
com.complexible.stardog.security.SecurityOptions

All Implemented Interfaces:
  `MetaPropertyProvider`

public final class SecurityOptions extends Object implements MetaPropertyProvider

Options for controlling the initialization of Security in Stardog and security configuration in a database.

Since:
  3.1
Version:
  3.1
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ConfigProperty<String>`
  `MASKING_FUNCTION`
  `static final Option<Boolean>`
  `NAMED_GRAPH_SECURITY`
  Global configuration option for whether or not named graph security is enabled.
  `static final Option<Boolean>`
  `NAMED_GRAPH_SECURITY_EMPTY_ALLOWS_ACCESS`
  Configuration option on whether or not the empty (named graph) permission set should permit access or not.
  `static final ConfigProperty<Boolean>`
  `NAMED_GRAPH_SECURITY_ENABLED`
  Database option which controls whether named graph security is enabled.
  `static final Option<String>`
  `REALMS`
  Specifies the name of the `realm` to be used for security in Stardog.
  `static final ConfigProperty<Collection<IRI>>`
  `SENSITIVE_PROPERTIES`
  `static final ConfigProperty<Collection<com.complexible.stardog.security.SensitiveProperty>>`
  `SENSITIVE_PROPERTY_GROUPS`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REALMS

    public static final Option<String> REALMS
    Specifies the name of the `realm` to be used for security in Stardog. Full name: "security.realms"
    Default value: `stardog`

  - ### NAMED_GRAPH_SECURITY

    public static final Option<Boolean> NAMED_GRAPH_SECURITY
    Global configuration option for whether or not named graph security is enabled. Can be override on a per-database level by the database option `NAMED_GRAPH_SECURITY_ENABLED`. This option has NO EFFECT if `security is disabled`. Full name: "security.named.graphs"
    Default value: `false`

  - ### NAMED_GRAPH_SECURITY_EMPTY_ALLOWS_ACCESS

    @Beta public static final Option<Boolean> NAMED_GRAPH_SECURITY_EMPTY_ALLOWS_ACCESS
    Configuration option on whether or not the empty (named graph) permission set should permit access or not. When true, if a user has 0 named graph permissions, they're granted access to all graphs. If false, they're denied access until it is explicitly given. Full name: "security.named.graphs.empty.allows.access"
    Default value: `false`

  - ### NAMED_GRAPH_SECURITY_ENABLED

    public static final ConfigProperty<Boolean> NAMED_GRAPH_SECURITY_ENABLED
    Database option which controls whether named graph security is enabled. This option is designated as `MetaProperty.Builder.writableWhileOnline()`; when changing this option existing connections are NOT affected, they will continue to use the previous security settings. Has NO EFFECT if `security is disabled`. Full name: "security.named.graphs"
    Default value: `false`

  - ### SENSITIVE_PROPERTIES

    public static final ConfigProperty<Collection<IRI>> SENSITIVE_PROPERTIES

  - ### SENSITIVE_PROPERTY_GROUPS

    public static final ConfigProperty<Collection<com.complexible.stardog.security.SensitiveProperty>> SENSITIVE_PROPERTY_GROUPS

  - ### MASKING_FUNCTION

    public static final ConfigProperty<String> MASKING_FUNCTION